/*this CSS makes it so the canvas won't have a border
so it can neatly fill up the whole screen */
html,
body {
  margin: 0 !important;
  padding: 0 !important;
  overflow: hidden;
}
#heart-icon {
  opacity: 0;
  position: fixed;
  top: 20%;
  left: 40%;
  transform: translate(-50%, -50%);
  z-index: 1;
}
#rose-icon {
  opacity: 0;
  position: fixed;
  top: 75%;
  left: 40%;
  transform: translate(-50%, -50%);
  z-index: 1;
}
canvas {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: auto;
  background: #111;
}
.hidden {
  display: none;
}
/* BTN */
.button {
  cursor: pointer;
  font-size: 2.4rem;
  border-radius: 16px;
  border: none;
  padding: 8px;
  background: radial-gradient(circle 80px at 80% -10%, #ffffff, #181b1b);
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.button::after {
  content: "";
  position: absolute;
  width: 65%;
  height: 60%;
  border-radius: 120px;
  top: 0;
  right: 0;
  box-shadow: 0 0 20px #ffffff38;
  z-index: -1;
}

.blob1 {
  position: absolute;
  width: 70px;
  height: 100%;
  border-radius: 16px;
  bottom: 0;
  left: 0;
  background: radial-gradient(
    circle 60px at 0% 100%,
    #3fe9ff,
    #0000ff80,
    transparent
  );
  box-shadow: -10px 10px 30px #0051ff2d;
}

.inner {
  padding: 14px 25px;
  border-radius: 14px;
  color: #fff;
  z-index: 3;
  position: relative;
  background: radial-gradient(circle 80px at 80% -50%, #777777, #0f1111);
}
.inner::before {
  content: "";
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  border-radius: 14px;
  background: radial-gradient(
    circle 60px at 0% 100%,
    #00e1ff1a,
    #0000ff11,
    transparent
  );
  position: absolute;
}

@media screen and (width > 1200px) {
  #heart-icon {
    top: 20%;
    left: 45%;
  }
  #rose-icon {
    top: 75%;
    left: 45%;
  }
}
